<?php
 	session_start(); 

	if(!isset($_SESSION['tulsilogin']))
	{
		header('Location: index.php');
		return;
	}



$_SESSION['_token']=bin2hex(openssl_random_pseudo_bytes(16));
	
	
	include("connect.php");
include("mylibrary.php");
	
	//$mainmodulename=$_POST['mainmodulename'];
	$mainmodulename=checkvalidstring($_POST['mainmodulename']);
	$mmdisplayname=checkvalidstring($_POST['mmdisplayname']);

	
	
	$mmiconname=checkvalidstring($_POST['mmiconname']);
	$mmstatus=1;
	
	
	$attechment="";
	/* if(empty($_FILES['attechment']['name']) == false  )
	{
		$attechment = date("YmdHis").$_FILES['attechment']['name'];
		$path = "docs/";
		move_uploaded_file( $_FILES['attechment']['tmp_name'], $path ."/". $attechment );
	
	}
	 */
	
	
		
	 $eve = "select * from res_mainmodule_master where mainmodulename='$mainmodulename'";
	$re = mysqli_query($conn, $eve);
	if(mysqli_num_rows($re) > 0)
	{
		$_SESSION['msg1'] = "mainmodule Code Already Inserted.";
		header('Location: mainmodule.php');
	}
	else
	{	
		$eve1 = "INSERT INTO res_mainmodule_master (mainmodulename,mmiconname,mmdisplayname,mmstatus) VALUES('$mainmodulename','$mmiconname','$mmdisplayname','$mmstatus')";
		$re1 = mysqli_query($conn, $eve1);
			
	$_SESSION['msg'] = "Record saved successfully";
	header('Location: mainmodule.php');
			
	}
?>